Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class VlanResource

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.systems.inventory.resource.common.bean.VlanResource

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class VlanResource
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VlanResource()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCategoryId()` |
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `int` | `getVlanFrom()` |
  `int` | `getVlanTo()` |
  `void` | `setCategoryId​(int categoryId)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setVlanFrom​(int vlanFrom)` |
  `void` | `setVlanTo​(int vlanTo)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VlanResource

    public VlanResource()

- ## Method Details

  - ### getVlanFrom

    public int getVlanFrom()

  - ### setVlanFrom

    public void setVlanFrom​(int vlanFrom)

  - ### getVlanTo

    public int getVlanTo()

  - ### setVlanTo

    public void setVlanTo​(int vlanTo)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getCategoryId

    public int getCategoryId()

  - ### setCategoryId

    public void setCategoryId​(int categoryId)